/* Zugriffe auf EEPROM: Fliekommazahl
 *
 */

#include <stdint.h>
#include <stdlib.h>
#include <avr/eeprom.h>
#include "lcd_tools.h"

double eezahl EEMEM = 12.34;	// Initialisierung (Datei .eep)

int main()
{
	double	wert;
	char	text[10];
	
	lcd_ini();				// LCD initialisieren

	eeprom_busy_wait();		// warten bis EEPROM bereit
	eeprom_read_block(&wert, &eezahl, sizeof(double));	// double lesen	

	wert++;					// inkrementieren
	eeprom_busy_wait();		// warten bis EEPROM bereit
	eeprom_write_block(&wert, &eezahl, sizeof(double));	// double schreiben

	dtostrf (wert, 6, 2, text);		// Zahl in String konvertieren
	lcd_writetext (text);

	return 0;
}
