#define UART_BAUD_RATE 9600L
#define UART_BAUD_CALC(UART_BAUD_RATE,F_CPU) ((F_CPU)/((UART_BAUD_RATE)*16L)-1)

#define RBUFFLEN 40 //Pufferlnge fr seriellen Empfang

volatile unsigned char rbuff[RBUFFLEN];		// Ringpuffer
volatile uint8_t 	rbuffpos, 					// Position, die als nchstes gelesen werden mu im Ringpuffer
					rbuffcnt, 					// Anzahl zu lesender Zeichen im Puffer
					udr_data;					// Daten aus dem UART (volatile, damit nicht wegoptimiert wird vom Prprozessor)

unsigned char ser_getc (void);	
void uart_putc(unsigned char);
void uart_puts (char *);
void uart_ini (void);
