/* 
 * zeigt an der LED1 den Zustand eines Taster1 an, der geffnet ber R an Masse liegt und geschlossen an Vcc
 * 
 *
 *
 */

#include <avr/io.h>

int main()
{
	unsigned int i;

	i = 1;								// B 0000 0001 Startwert fr Wanderbalken
	DDRA = 0xFF;						// PORTA als Ausgang
	PORTA = 0;							// alles aus
	DDRD |= (1 << DDD5);				// PD5 als Ausgang
	DDRD &= ~(1 << DDD2);				// PD2 als Eingang

	while (1)							// Endlos
	{
		if (PIND & (1 << PIND2))		// wenn PD2 geschlossen (HIGH)
		{
			PORTD |= (1 << PD5);		// LED1 an
			PORTA = i;					// Wanderbalken LED an

			while (PIND & (1 << PIND2));// warten bis Taste losgelassen

			PORTD &= ~(1 << PD5);		// LED1 aus

			if (i == 0x80)				// PA7 ist an
				i=1;					// neuer Durchlauf
			else
				i <<= 1;				// Shift i eins nach links
		}
	}
	return 0;
}


