/* Laesst eine LED an PD5 und PD6 im wechsel endlos blinken
 *
 */

#include <avr/io.h>
#include <util/delay.h>		// _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
	for(uint16_t t=0; t<=ms; t++)
		_delay_ms(1); 
}

int main()
{
	DDRD = 0xFF;				// PORTD als Ausgang
	while (1)
	{
		PORTD = 0b00100000;		// LED an PD5 ein
		delay_ms (250);
		PORTD = 0x40;			// LED an PD6 ein
		delay_ms (250);
	}	
	return 0;
}
